import { EventEmitter } from '../../stencil-public-runtime';
import pdf from 'pdfjs-dist/build/pdf';
export declare class AkordPdfViewer {
  component: HTMLElement;
  pdfZoom: number;
  pdfDocument: pdf.PDFDocumentProxy;
  pdfDocumentLoader: any;
  private pdfContext;
  private btns;
  private zoomButtonsHideTimeout;
  private isDocumentLoading;
  /** PDF document source */
  src: string;
  height: string;
  /** Emitted when a page has been rendered */
  pageRendered: EventEmitter<number>;
  componentWillLoad(): Promise<void>;
  componentDidLoad(): void;
  updateSrc(newValue: string | null, oldValue: string | null): Promise<void>;
  private handleZoom;
  private handleMouseEnter;
  private handleMouseLeave;
  private handleMouseMove;
  /** Page rotation in degrees */
  renderPage(pageNum: number, canvas: HTMLCanvasElement, rotation?: 0 | 90 | 180 | 270 | 360): Promise<void>;
  renderPageCard(pageNum: number): any;
  renderDocument(): any;
  renderButtons(): any;
  render(): any;
}
